From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/scikit-build/
Date: Sat, 6 Jun 2020 22:22:31 +0000 (UTC) [thread overview]
Message-ID: <1591482119.08e6fc13276afb27c5a4ecf28d4216556fef47b4.pacho@gentoo> (raw)
commit: 08e6fc13276afb27c5a4ecf28d4216556fef47b4
Author: Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 6 21:34:50 2020 +0000
Commit: Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sat Jun 6 22:21:59 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=08e6fc13
dev-python/scikit-build: Bump to 0.11.1 supporting py3.8
Package-Manager: Portage-2.3.100, Repoman-2.3.22
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>
dev-python/scikit-build/Manifest | 1 +
dev-python/scikit-build/scikit-build-0.11.1.ebuild | 49 ++++++++++++++++++++++
2 files changed, 50 insertions(+)
diff --git a/dev-python/scikit-build/Manifest b/dev-python/scikit-build/Manifest
index dcc86e2bd4e..5fd3b96b515 100644
--- a/dev-python/scikit-build/Manifest
+++ b/dev-python/scikit-build/Manifest
@@ -1 +1,2 @@
DIST scikit-build-0.10.0.tar.gz 132443 BLAKE2B 7e817b1b6d8ea5e663cec59c5ed51b3f58318eedf6587380eb2a1458bac772a5a02a936015027f1200f740884ba33512babb1aadc4cdbb59ea38f46bc36cbb5f SHA512 cbdc59a41c60c162be84b38d207838d5e38898871f2ef02dcb672796f01f7a31645892770172e9891a4dd7aa02a85dd489b6dede4c5f717ab013dd8947d5d314
+DIST scikit-build-0.11.1.tar.gz 132025 BLAKE2B 0f818d8da896695ee0d6b046249e74cbd4ea643bec0515d6ac6ff4276d92430a1dbf81abb3b7c10890538c373225a45cc21b0906de891f1a5390226be914dacd SHA512 030c6cc727d39cbafd2865722de9c45ba2f13461461cf75019b9caf6afd0a776b4f598fa2ce102b5adbc770140ab1de2c33e2bbd3ef03c958ae8849e5fc26cb4
diff --git a/dev-python/scikit-build/scikit-build-0.11.1.ebuild b/dev-python/scikit-build/scikit-build-0.11.1.ebuild
new file mode 100644
index 00000000000..334675dcd53
--- /dev/null
+++ b/dev-python/scikit-build/scikit-build-0.11.1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..8} )
+
+inherit distutils-r1
+
+DESCRIPTION="Improved build system generator for Python C/C++/Fortran/Cython extensions"
+HOMEPAGE="https://github.com/scikit-build/scikit-build"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="dev-python/distro[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/wheel[${PYTHON_USEDEP}]"
+
+DEPEND="test? (
+ dev-python/coverage[${PYTHON_USEDEP}]
+ dev-python/cython[${PYTHON_USEDEP}]
+ dev-python/flake8[${PYTHON_USEDEP}]
+ dev-python/path-py[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/pytest-virtualenv[${PYTHON_USEDEP}]
+ dev-python/PyQt5[testlib,${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/virtualenv[${PYTHON_USEDEP}] )"
+
+PATCHES=( "${FILESDIR}/${PN}-0.10.0-docs.patch" )
+
+distutils_enable_sphinx docs dev-python/sphinx_rtd_theme dev-python/sphinx-issues
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # Skip tests causing sandbox violations
+ rm \
+ tests/test_hello_cpp.py \
+ tests/test_issue274_support_default_package_dir.py \
+ tests/test_issue274_support_one_package_without_package_dir.py \
+ tests/test_issue284_build_ext_inplace.py \
+ tests/test_issue334_configure_cmakelists_non_cp1252_encoding.py \
+ || die
+ distutils-r1_python_prepare_all
+}
next reply other threads:[~2020-06-06 22:22 UTC|newest]
Thread overview: 104+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-06-06 22:22 Pacho Ramos [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-11 9:56 [gentoo-commits] repo/gentoo:master commit in: dev-python/scikit-build/ Arthur Zamarin
2024-09-28 14:39 Sam James
2024-09-28 14:21 Arthur Zamarin
2024-09-28 13:56 Arthur Zamarin
2024-09-28 13:30 Arthur Zamarin
2024-09-28 13:09 Michał Górny
2024-09-28 12:40 Sam James
2024-08-29 4:21 Michał Górny
2024-07-27 8:25 Arthur Zamarin
2024-07-27 8:06 Arthur Zamarin
2024-07-27 7:07 Arthur Zamarin
2024-07-06 6:43 Arthur Zamarin
2024-06-23 2:53 Michał Górny
2024-06-14 11:42 Petr Vaněk
2024-05-23 16:33 Michał Górny
2023-11-20 16:03 Michał Górny
2023-09-10 5:27 WANG Xuerui
2023-08-20 8:50 Michał Górny
2023-06-18 17:21 Michał Górny
2023-06-18 16:23 Sam James
2023-06-18 16:23 Sam James
2023-06-18 15:35 Arthur Zamarin
2023-06-18 15:14 Sam James
2023-06-18 15:14 Sam James
2023-06-18 15:14 Sam James
2023-06-18 14:47 Sam James
2023-06-01 4:07 Michał Górny
2023-05-20 7:25 Michał Górny
2023-05-20 7:25 Michał Górny
2023-05-16 5:05 Michał Górny
2023-05-11 6:26 Michał Górny
2023-04-29 5:48 Michał Górny
2023-04-21 4:34 Michał Górny
2023-04-13 5:13 Michał Górny
2023-04-12 7:15 Michał Górny
2023-03-17 16:57 Sam James
2023-03-17 16:10 Arthur Zamarin
2023-03-17 16:03 Sam James
2023-03-17 15:58 Arthur Zamarin
2023-03-17 15:54 Arthur Zamarin
2023-02-17 8:20 Michał Górny
2023-02-17 7:38 Michał Górny
2023-01-20 21:38 Michał Górny
2023-01-20 4:50 Michał Górny
2023-01-13 13:43 Michał Górny
2023-01-13 13:37 Arthur Zamarin
2022-12-31 12:11 Sam James
2022-12-31 12:11 Sam James
2022-12-31 11:05 Arthur Zamarin
2022-12-31 11:04 Arthur Zamarin
2022-12-31 11:04 Arthur Zamarin
2022-12-31 10:44 Arthur Zamarin
2022-12-25 17:46 Arthur Zamarin
2022-12-17 12:34 Michał Górny
2022-12-01 7:09 Michał Górny
2022-12-01 7:09 Michał Górny
2022-11-30 3:09 Michał Górny
2022-11-30 0:52 Sam James
2022-11-30 0:52 Sam James
2022-11-29 7:49 Arthur Zamarin
2022-11-29 7:38 Arthur Zamarin
2022-11-29 7:28 Arthur Zamarin
2022-11-29 7:25 Arthur Zamarin
2022-11-05 14:34 Michał Górny
2022-10-30 6:39 Michał Górny
2022-07-15 0:45 Sam James
2022-07-15 0:45 Sam James
2022-07-14 20:15 Arthur Zamarin
2022-07-14 19:49 Arthur Zamarin
2022-07-14 19:48 Arthur Zamarin
2022-07-14 19:35 Arthur Zamarin
2022-06-29 13:05 Michał Górny
2022-06-29 7:52 Agostino Sarubbo
2022-06-28 6:43 Agostino Sarubbo
2022-06-28 6:43 Agostino Sarubbo
2022-06-27 23:32 Sam James
2022-06-27 19:43 Arthur Zamarin
2022-06-27 19:43 Arthur Zamarin
2022-06-13 10:57 Andrew Ammerlaan
2022-05-28 10:45 Michał Górny
2022-05-16 16:03 Andrew Ammerlaan
2022-02-14 8:35 Matt Turner
2021-11-14 23:51 Sam James
2021-10-24 21:14 Sam James
2021-10-02 23:17 Sam James
2021-09-18 19:48 Sam James
2021-09-18 17:18 Sam James
2021-09-06 23:42 Sam James
2021-08-16 11:46 Marek Szuba
2021-08-11 5:40 Michał Górny
2021-08-10 4:59 Sam James
2021-07-28 15:58 Sergei Trofimovich
2021-07-25 11:50 Michał Górny
2021-07-25 11:18 Michał Górny
2020-11-03 9:28 Sergei Trofimovich
2020-08-22 5:50 Agostino Sarubbo
2020-08-10 14:53 Agostino Sarubbo
2020-07-11 11:43 Sam James
2020-07-10 14:42 Sam James
2020-07-08 6:47 Sergei Trofimovich
2020-06-10 8:58 Michał Górny
2020-06-10 8:58 Michał Górny
2020-03-25 11:06 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1591482119.08e6fc13276afb27c5a4ecf28d4216556fef47b4.pacho@gentoo \
--to=pacho@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox